
class LogLevel {
  static const verbose = 0;
  static const info = 1;
  static const warning = 2;
  static const error = 3;
  static const none = 4;
}

class DataDomeLogger {
  static var logLevel = LogLevel.none;

  static setLogLevel(int level) {
    logLevel = level;
  }

  static info(String message) {
    if (logLevel <= LogLevel.info) {
      print('[DataDome][INFO] $message');
    }
  }

  static warning(String message) {
    if (logLevel <= LogLevel.warning) {
      print('[DataDome][WARN] $message');
    }
  }

  static error(String message) {
    if (logLevel <= LogLevel.error) {
      print('[DataDome][ERROR] $message');
    }
  }
}

